GET /katello/api/repositories/367202338/module_streams
200
{
"total": 5,
"subtotal": 5,
"selectable": 5,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "name",
"order": "asc"
},
"results": [
{
"id": 684146117,
"name": null,
"pulp_id": "itsempty",
"version": null,
"context": null,
"stream": null,
"arch": null,
"description": null,
"summary": null,
"module_spec": "",
"uuid": "itsempty",
"name_stream_version_context": ":::"
},
{
"id": 704468238,
"name": "four",
"pulp_id": "thatriver2",
"version": "one",
"context": "buckeye",
"stream": "noitsariver",
"arch": "bridge",
"description": null,
"summary": null,
"module_spec": "four:noitsariver:one:buckeye:bridge",
"uuid": "thatriver2",
"name_stream_version_context": "four:noitsariver:one:buckeye"
},
{
"id": 904095534,
"name": "Ohio",
"pulp_id": "thatriver",
"version": "one",
"context": "buckeye",
"stream": "noitsariver",
"arch": "bridge",
"description": null,
"summary": null,
"module_spec": "Ohio:noitsariver:one:buckeye:bridge",
"uuid": "thatriver",
"name_stream_version_context": "Ohio:noitsariver:one:buckeye"
},
{
"id": 980190962,
"name": "one",
"pulp_id": "one",
"version": "one",
"context": "buckeye",
"stream": "noitsariver",
"arch": "bridge",
"description": null,
"summary": null,
"module_spec": "one:noitsariver:one:buckeye:bridge",
"uuid": "one",
"name_stream_version_context": "one:noitsariver:one:buckeye"
},
{
"id": 113629430,
"name": "three",
"pulp_id": "three",
"version": "one",
"context": "buckeye",
"stream": "noitsariver",
"arch": "bridge",
"description": null,
"summary": null,
"module_spec": "three:noitsariver:one:buckeye:bridge",
"uuid": "three",
"name_stream_version_context": "three:noitsariver:one:buckeye"
}
]
}
| Param name | Description |
|---|---|
|
organization_id
optional |
organization identifier Validations:
|
|
content_view_version_id
optional |
content view version identifier Validations:
|
|
content_view_filter_id
optional |
content view filter identifier Validations:
|
|
content_view_filter_rule_id
optional |
content view filter rule identifier Validations:
|
|
repository_id
optional |
repository identifier Validations:
|
|
environment_id
optional |
environment identifier Validations:
|
|
ids
optional |
ids to filter content by Validations:
|
|
include_filter_ids
optional |
Includes associated content view filter ids in response Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
|
host_ids
optional |
List of host id to list available module streams for Validations:
|
|
name_stream_only
optional |
Return name and stream information only) Validations:
|